:root {
  --theme--spacing--20: 0.44rem;
  --theme--spacing--30: 0.67rem;
  --theme--spacing--40: 1rem;
  --theme--spacing--50: 1.5rem;
  --theme--spacing--60: 2.25rem;
  --theme--spacing--70: 3.38rem;
  --theme--spacing--80: 5.06rem;
  --container-xl: 36rem;
  --container-2xl: 42rem;
  --container-3xl: 48rem;
  --container-4xl: 56rem;
  --container-5xl: 64rem;
  --container-6xl: 72rem;
  --container-7xl: 80rem;
  --spacing: 0.25rem;
  --font-weight-semibold: 600;
  --text-base: 1rem;
  --color-gray-900: oklch(0.21 0.034 264.665);
}

.hero-slider-dots {

}
.hero-slider-dots > div {
  display: block;
  background: white;
  width: 7px;
  height: 7px;
  border-radius: 50%;
  margin-bottom: 18px;
  position: relative;
  cursor:pointer;
}

.hero-slider-dots > div.tns-nav-active:after {
  content: '';
  display: block;
  position: absolute;
  width: 18px;
  height: 18px;
  border: 1.5px solid white;
  border-radius: 50%;
  top: -5.5px;
  left: -5.5px;
}
.faq-element {
  --tw-divide-y-reverse: 0;
  border-bottom-style: solid;
  border-top-style: solid;
  border-top-width: calc(1px* var(--tw-divide-y-reverse));
  border-bottom-width: calc(1px* calc(1 - var(--tw-divide-y-reverse)));
  border-color: color-mix(in oklab, var(--color-gray-900) 10%, transparent);
}


.text-right {
  text-align: right;
}

p{
  margin: 20px 0;
}

.max-w-xl {
  max-width: var(--container-xl);
}.max-w-2xl {
  max-width: var(--container-2xl);
}.max-w-3xl {
  max-width: var(--container-3xl);
}.max-w-4xl {
  max-width: var(--container-4xl);
}.max-w-5xl {
  max-width: var(--container-5xl);
}.max-w-6xl {
  max-width: var(--container-6xl);
}.max-w-7xl {
  max-width: var(--container-7xl);
}

.py-48 {
  padding-top: 12rem;
  padding-bottom: 12rem;
}
.mb-24{
  margin-bottom: 6rem;
}
.size-6 {
  width: calc(var(--spacing)* 6);
  height: calc(var(--spacing)* 6);
}
.text-gray-900 {
  color: var(--color-gray-900);
}
.font-semibold {
  --tw-font-weight: var(--font-weight-semibold);
  font-weight: var(--font-weight-semibold);
}

.text-base\/7 {
  font-size: var(--text-base);
  line-height: calc(var(--spacing)* 7);
}

/*************************   FAQ   *********************/
.faq-item__question{
  background: #f9f9f9;
  padding: 7px 10px;
}
.faq-item__question.is-open{
  background: #0073aa;
}
.faq-item__question.is-open button > span{
  color: white;
}
.faq-item__question.is-open .expand{
  display: none;
}
.faq-item__question.is-open .collapse{
  display: block;
  color: #ffffff ;
}
.faq-item__answer {
  max-height: 0;
  overflow: hidden;
  transition: max-height 0.4s ease;
}

.faq-item__answer.is-open {
  max-height: 600px;
  transition: max-height 1.2s ease;
}
a {
  text-decoration: underline;
  text-decoration-thickness: 1px;
}
p {
  font-size: 18px;
  line-height: 1.8;
  font-family: "Nunito Sans", serif;
  font-weight: 300;
}
ul {
  list-style-type: circle;
  margin-left: 20px;
  font-size: 18px;
  line-height: 1.6;
  font-family: "Nunito Sans", serif;
  font-weight: 300;
}
li {
  margin-bottom: 10px;
}
b, strong {
  font-weight: bold;
}
.Hdr_Nav a {
  text-decoration: none;
  color: white; 
  padding: 5px 10px;
  text-transform: uppercase;
}
.Hdr_Nav {
  display: flex;
  align-items: center;
}

.Hdr_Nav ul {
  list-style: none;
  margin: 0;
  padding: 0;
  display: flex;
  position: relative;
}

.Hdr_Nav li {
  margin-right: 15px;
  position: relative;
}

.Hdr_Nav li ul {
  display: none;
  position: absolute;
  top: 100%;
  left: 0;
  background-color: #fff;
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
  padding: 10px;
  z-index: 10;
  width: 250px;
}

.Hdr_Nav li:hover ul {
  display: block;
}
.Hdr_Nav li.has-dropdown > a:after {
  content: '\25BC'; 
  margin-left: 5px;
  font-size: 12px;
  color: white;
  padding-bottom: 3px;
  display: inline-block;
  vertical-align: middle;
  transition: transform 0.3s ease; 
}

.Hdr_Nav li:hover > a:after {
  transform: rotate(180deg); 
}

.Hdr_Nav li ul li {
  margin: 0;
}

.Hdr_Nav li ul li a {
  display: block;
  color: #333;
}

.Hdr_Nav li ul li a:hover {
  color: #000;
  background-color: #f0f0f0;
}
h1, h2, h3, h4, h5, h6 {
  font-family: "Truculenta", serif;
}
.main-banner-title {
  font-family: "Truculenta", serif;
}
.border-b-2 {
  border-bottom-width: 2px;
  text-decoration: unset;
  font-size: 2rem;
  font-family: "Truculenta", serif;
}
.bg-gray-700 {
  background-color: rgb(60 60 60)!important;
}
@media (min-width: 768px) {
  .md\:text-4xl {
      font-size: 2.75rem;
      line-height: 2.5rem;
  }
}
@media (min-width: 768px) {
  .main-banner-title {
      font-size: 5.75rem;
      line-height: 1;
  }

}
@media (max-width: 768px) {

  body{
    overflow-x: hidden;
  }
  .main-banner-title {
    font-weight: 700;
  }
  h1 {
    font-weight: 700;
  }
  .home-booking-widget{
    flex-direction: column;
  }
  .home-booking-widget .md\:w-1\/2 {
    width: 90%;
    justify-content: space-between;
    display: flex;
    flex-direction: column;
  }
  .home-booking-widget .md\:w-1\/2:first-child {
    margin-bottom: 20px;
    display: flex;
    flex-direction: column;
  }

  #tns1 > .tns-item {
    width: 100% !important;
    max-width: 100vw;
    background-attachment: unset !important;
    max-height: 760px;
  }
  .banner-module  .bg-cover{
    width: 100% !important;
    max-width: 100vw;
    background-attachment: unset !important;
    max-height: 420px;
  }

}

/* Scoped styles for images within the wave-shadow-block */
.wave-shadow-block .wave-shadow-img {
  border-radius: 10px; /* Rounded corners for a modern touch */
  box-shadow: 
      0 4px 6px rgba(0, 0, 0, 0.1), /* Base shadow */
      0 8px 20px rgba(0, 162, 255, 0.2), /* Light blue hint for water */
      0 12px 30px rgba(0, 162, 255, 0.1); /* Subtle spread for depth */
  transition: transform 0.3s ease, box-shadow 0.3s ease;
}

.wave-shadow-block .wave-shadow-img:hover {
  transform: rotate(2deg) scale(1.05); /* Slight tilt and zoom on hover */
  box-shadow: 
      0 6px 8px rgba(0, 0, 0, 0.1), /* Adjusted base shadow */
      0 12px 25px rgba(0, 162, 255, 0.3), /* Intensified wave effect */
      0 18px 40px rgba(0, 162, 255, 0.2); /* Expanded shadow for impact */
}
.text-2xl {
  font-size: 2rem;
  line-height: 2rem;
}
.header-button {
  font-family: "Truculenta", serif;
  text-transform: uppercase;
  text-decoration-line: unset;
  font-size: 2rem;
  background-color: #0073aa;
  border-radius: 10px;
}
.booking-search-button {
  align-content: center;
}
.header-button:hover {
  background-color: #9ca3af;
}

.gallery-text-slider > div{
  height: 526px
}

.gallery-text-slider-dots > div{
  display: inline-block;
  background: #ffffff;
  width: 10px;
  height: 10px;
  border-radius: 50%;
  border: 2px solid #fb923c;
  margin: 0 4px;
  position: relative;
  cursor: pointer;
}
.gallery-text-slider-dots > div.tns-nav-active{
  background: #fb923c;
}
.home-booking-widget {
  display: flex;
  align-items: center;
  justify-content: space-around;
}
.home-booking-widget input,
.home-booking-widget select{
  color: black;
  border-radius: 5px;
  font-family: "Nunito Sans", serif;
  width: 100%;
}
.form-booking-widget label {
  display: block;
  font-size: 18px;
  font-weight: 500;
  font-family: "Nunito Sans", serif;
}
.form-booking-widget .header-button {
  font-size: 2rem;
  color: #ffffff;
  cursor: pointer;
  font-family: "Truculenta", serif;
}
.justify-evenly {
  justify-content: space-evenly;
}
.icon-homepage {
  align-content: center;
  justify-items: anchor-center;
}
.footer-links a {
  text-decoration: none;
}
.footer-links {
  font-size: 18px;
  line-height: 1.8;
  font-family: "Nunito Sans", serif;
  font-weight: 300;
}

.blog-content-wrapper{
  justify-content: space-between;
  align-items: center;
  display: flex;
}
.blog-content-wrapper .border-b-2{
  font-size: 1.3rem;
}
.blog-content-wrapper h3{
  text-decoration: none;
}
.blog-item .date-cat{
  position: absolute;
  bottom: 0;
  left: 0;
  right: 0;
  background: rgba(255, 255, 255, 0.5);
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 5px 10px;
  transition: transform 0.3s ease;
  font-weight: bold;
}
.blog-item .relative:hover .date-cat{
  transform: rotate(2deg) scale(1.05) translate(-7px,10px);
  transition: transform 0.3s ease;
}
.blog-item .relative:hover img{
  transform: rotate(2deg) scale(1.05);
}
.text-logo-header {
  max-height: 160px;
  margin-top: 65px;
}
.text-logo-footer {
  max-height: 200px;
}
img.main-banner-logo {
  max-width: 200px;
}
.main-banner-numbers {
  display: flex;
  align-items: flex-end;
}


/*************************************************/

.filter-navigation li{
  display:block;
}


/*====Filter Hover Navigation====*/

.filter-navigation{
  text-transform: uppercase;
  margin-bottom:0px;
  display:block;
  text-align: center;
}
@media (min-width: 1024px) and (max-width: 1264px) {
  .ipad-responsiveness {
      display: flex;
      flex-direction: column;
    align-items: center;
  }
}
@media only screen and (max-width:767px){
  .filter-navigation{
    text-align: left;
  }
  p.threesixty-gallery {
    max-width: 80%;
    margin-left: auto;
    margin-right: auto;
  }
    iframe {
      max-height: 310px;
  }
  .text-logo-footer, .text-logo-header {
    justify-self: center;
  }
  .footer-links, .footer-rights {
    text-align: center;
  }
  .header-button {
    border-radius: 0px;
  }
  .grow.flex.mobile-logo-center {
    display: flex;
    justify-content: center;
  }
  .text-logo-header {
    max-height: 130px;
    margin-top: 45px;
  }
  .max-sm\:mt-2{
    margin-top: 0.5rem;
  }
  .banner-simple {
  padding-top: 16rem;
  padding-bottom: 8rem;
  }
}

.filter-navigation * {
  box-sizing: border-box;
  transition: all 0.35s ease;
}
.filter-navigation li {
  display: inline-block;
  list-style: outside none none;
  margin: 0px 0px 10px 0px;
  overflow: hidden;
}
.filter-navigation li:first-child {
  padding-left:0px;
  margin-left:0px;
}
.filter-navigation a {
  padding: 4px 0px;
  color: #000;
  position: relative;
  display: inline-block;
  letter-spacing: 1px;
  margin: 0px;
  text-decoration: none;
  font-weight:600;
}
.filter-navigation a:before,
.filter-navigation a:after {
  position: absolute;
  transition: all 0.35s ease;
}
.filter-navigation a:before {
  bottom: 100%;
  display: block;
  height: 2px;
  width: 100%;
  content: "";
  /* background-color: #f5be23;*/
}
.filter-navigation a:after {
  padding: 0.3em 0;
  position: absolute;
  bottom: 100%;
  left: 0;
  content: attr(data-hover);
  color: #f5be23;
  white-space: nowrap;
}
.filter-navigation li:hover a{
  transform: translateY(100%);
}
.filter-navigation.inline-navigation li {
  margin: 0px;
  overflow: hidden;
}
.filter-navigation.inline-navigation a {
  padding: 4px 5px;
  display: inline-block;
}
.filter-navigation.inline-navigation a:after {
  padding: 0.3em 10px;
}
.m-b30 {
  margin-bottom: 30px;
}
.row>* {
  --bs-gutter-x: 1.5rem;
  --bs-gutter-y: 0;
  flex-shrink: 0;
  width: 100%;
  max-width: 100%;
  padding-right: calc(var(--bs-gutter-x)* .5);
  padding-left: calc(var(--bs-gutter-x)* .5);
  margin-top: var(--bs-gutter-y);
}
@media (min-width: 576px) {
  .col-sm-6 {
    flex: 0 0 auto;
    width: 50%;
  }
}
@media (min-width: 768px) {
  .col-md-6 {
    flex: 0 0 auto;
    width: 50%;
  }
}
@media (min-width: 992px) {
  .col-lg-4 {
    flex: 0 0 auto;
    width: 33.33333333%;
  }
}
@media (min-width: 1200px) {
  .col-xl-3 {
    flex: 0 0 auto;
    width: 25%;
  }
}
.hover-shadow {
  box-shadow: 0 0px 0px 0 rgba(50, 50, 50, .16);
  transition: all 0.5s linear;
}
.image-effect-one {
  position: relative;
  overflow: hidden;
  background-color: #000;
}
.image-effect-one img {
  max-width: 100%;
  width: 100%;
  vertical-align: top;
}
.image-effect-one *, .image-effect-one *:before, .image-effect-one *:after {
  box-sizing: border-box;
  transition: all 0.25s linear;
}
.image-effect-one .figcaption {
  position: absolute;
  bottom: 0%;
  width: 100%;
  transform: translateY(100%);
  padding: 10px 70px 10px 20px;
  background-color: #ffffff;
  transition-delay: 0.3s;
}
.hover-shadow:hover {
  box-shadow: 0 10px 30px 0 rgba(50, 50, 50, .16);
  position: relative;
  z-index: 10;
}
.image-effect-one:hover img {
  zoom: 1;
  filter: alpha(opacity = 30);
  -webkit-opacity: 0.3;
  opacity: 0.3;
  transform: translateY(-40px);
}
.image-effect-one:hover .figcaption {
  transition-delay: 0s;
}
.image-effect-one:hover .figcaption, .image-effect-one:hover h4, .image-effect-one.hover p {
  transform: translateY(0);
  opacity: 1;
}
.image-effect-one .mfp-link {
  position: absolute;
  background-color: #fff;
  height: 40px;
  width: 40px;
  line-height: 40px;
  text-align: center;
  top: 0px;
  right: 0px;
  opacity: 0;
  transition: all 0.5s linear;
}
.image-effect-one:hover .mfp-link {
  right: 20px;
  top: 20px;
  opacity: 1;
  padding: 5px;
}
.image-effect-one:hover .popup {
  transform: translateX(0);
  transition-delay: 0.3s;
}
.site-bg-primary {
  background-color: #F5BF23;
  position: absolute;
  color: #fff;
  font-size: 18px;
  line-height: 70px;
  width: 58px;
  height: 100%;
  bottom: 0;
  right: 0;
  text-align: center;
  transform: translateX(58px);
  padding: 8px;
  display: flex;
}
.image-effect-one:hover .link-plus,
.image-effect-one:hover .link-plus img {
  transform: translateX(0);
  transition-delay: 0.3s;
}

@media (max-width: 1023px) {
  .__book {
    display: block;
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    /*width: 100%;*/
  }
  .__book div {
    display: block;
    margin-left: 0;
  }
  .__book div a{
    display: block;
    margin-right: 66px;
  }
  .__caret{
    position: fixed;
    top: 0;
    right: 0;
    z-index: 1;
    background-color: #464646;
    padding: 8px;
  }
  nav{
    top: 64px !important;
  }

  #mobile-menu {
    top: 64px;
    position: fixed;
    background: #fff;
    transition: right .5s;
    right: 0;
    width: 100%;
    overflow-y: auto;
    height: 100%;
    padding-bottom: 45px;
  }
  #mobile-menu.hidden {
    right: 100%;
    transition: right .5s;
    display: block;
  }
  #mobile-menu #menu-main-nav-menu-1 {
    list-style: none;
    margin-left: 0;
  }
  #mobile-menu .sub-menu {
    list-style: none;
  }
  #mobile-menu .sub-menu .menu-item{
    border-top: 1px dotted #0073aa38;
  }
  #mobile-menu #menu-main-nav-menu-1 a{
    text-decoration: none;
    display: block;
    line-height: 2.2;
  }
  #mobile-menu .menu-item{
    border-left-width: 4px;
    padding-left: 0.75rem;
    border-color: transparent;
  }
  #mobile-menu #menu-main-nav-menu-1 > .menu-item{
    border-bottom: 1px solid #0073aa38;
  }
  #mobile-menu .current_page_item{
    --tw-bg-opacity: 1;
    background-color: rgb(255 247 237 / var(--tw-bg-opacity));
    --tw-border-opacity: 1;
    border-color: rgb(249 115 22 / var(--tw-border-opacity));
    --tw-text-opacity: 1;
    color: rgb(194 65 12 / var(--tw-text-opacity));
  }
}
select {
  border-radius: 5px;
  font-family: "Nunito Sans", serif;
}
.text-orange-400:hover {
  color: white;
  background-color: #fb923c;
  padding: 10px;
  border-radius: 10px;
}
.map-container {
  position: relative;
  width: 100%; /* Full width */
  padding-bottom: 56.25%; /* 16:9 aspect ratio (adjust if needed) */
  height: 0;
  overflow: hidden;
}

.map-container iframe {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  border: 0;
}